package com.thomasbet.endpoints.Model;

import jakarta.persistence.*;

//databázový model entity
@Entity
@Table(name = "bets")
public class Bet {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Long id;

    @ManyToOne
    @JoinColumn(name = "event_id")
    private Event event;

    @ManyToOne
    @JoinColumn(name = "user_id")
    private User user;

    @Column(name = "value")
    private Long value;

    @Column(name = "bet_type")
    private Integer betType;

    @Column(name = "odd")
    private Float odd;

    public Bet() {
    }

    public Bet(Long id, Event event, User user, Long value, Integer betType, Float odd) {
        this.id = id;
        this.event = event;
        this.user = user;
        this.value = value;
        this.betType = betType;
        this.odd = odd;
    }

    public Bet(Event event, User user, Long value, Integer betType, Float odd) {
        this.event = event;
        this.user = user;
        this.value = value;
        this.betType = betType;
        this.odd = odd;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Event getEvent() {
        return event;
    }

    public void setEvent(Event event) {
        this.event = event;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Long getValue() {
        return value;
    }

    public void setValue(Long value) {
        this.value = value;
    }

    public Integer getBetType() {
        return betType;
    }

    public void setBetType(Integer betType) {
        this.betType = betType;
    }

    public Float getOdd() {
        return odd;
    }

    public void setOdd(Float odd) {
        this.odd = odd;
    }

    @Override
    public String toString() {
        return "Bet{" +
                "id=" + id +
                ", event=" + event +
                ", user=" + user +
                ", value=" + value +
                ", betType=" + betType +
                ", odd=" + odd +
                '}';
    }
}
