package com.thomasbet.endpoints.Model;

import jakarta.persistence.*;

//databázový model entity
@Entity
@Table(name = "blog")
public class Blog {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "blog_id")
    private Long blogId;

    @ManyToOne
    @JoinColumn(name = "user_id")
    private User user;


    @Column(name = "title")
    private String title;

    @Column(name = "body")
    private String body;

    @Column(name = "date_new")
    private Long dateNew;

    @Column(name = "date_edit")
    private Long dateEdit;

    public Blog() {
    }

    public Blog(Long blogId, User user, String title, String body, Long dateNew, Long dateEdit) {
        this.blogId = blogId;
        this.user = user;
        this.title = title;
        this.body = body;
        this.dateNew = dateNew;
        this.dateEdit = dateEdit;
    }

    public Blog(User user, String title, String body, Long dateNew, Long dateEdit) {
        this.user = user;
        this.title = title;
        this.body = body;
        this.dateNew = dateNew;
        this.dateEdit = dateEdit;
    }

    public Long getBlogId() {
        return blogId;
    }

    public void setBlogId(Long blogId) {
        this.blogId = blogId;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public Long getDateNew() {
        return dateNew;
    }

    public void setDateNew(Long dateNew) {
        this.dateNew = dateNew;
    }

    public Long getDateEdit() {
        return dateEdit;
    }

    public void setDateEdit(Long dateEdit) {
        this.dateEdit = dateEdit;
    }

    @Override
    public String toString() {
        return "Blog{" +
                "blogId=" + blogId +
                ", user=" + user +
                ", title='" + title + '\'' +
                ", body='" + body + '\'' +
                ", dateNew=" + dateNew +
                ", dateEdit=" + dateEdit +
                '}';
    }
}
