package com.thomasbet.endpoints.Model;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

//databázový model entity
@Entity
@Table(name = "events")
public class Event {

    @Id
    @Column(name = "event_id")
    private String eventId;

    @Column(name = "sport_key")
    private String sportKey;

    @Column(name = "sport_title")
    private String sportTitle;

    @Column(name = "commence_time")
    private Long commenceTime;

    @Column(name = "home_team")
    private String homeTeam;

    @Column(name = "away_team")
    private String awayTeam;

    @Column(name = "sport_type")
    private String sportType;

    public Event() {
    }

    public Event(String eventId, String sportKey, String sportTitle, Long commenceTime, String homeTeam, String awayTeam, String sportType) {
        this.eventId = eventId;
        this.sportKey = sportKey;
        this.sportTitle = sportTitle;
        this.commenceTime = commenceTime;
        this.homeTeam = homeTeam;
        this.awayTeam = awayTeam;
        this.sportType = sportType;
    }

    public Event(String sportKey, String sportTitle, Long commenceTime, String homeTeam, String awayTeam, String sportType) {
        this.sportKey = sportKey;
        this.sportTitle = sportTitle;
        this.commenceTime = commenceTime;
        this.homeTeam = homeTeam;
        this.awayTeam = awayTeam;
        this.sportType = sportType;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public String getSportKey() {
        return sportKey;
    }

    public void setSportKey(String sportKey) {
        this.sportKey = sportKey;
    }

    public String getSportTitle() {
        return sportTitle;
    }

    public void setSportTitle(String sportTitle) {
        this.sportTitle = sportTitle;
    }

    public Long getCommenceTime() {
        return commenceTime;
    }

    public void setCommenceTime(Long commenceTime) {
        this.commenceTime = commenceTime;
    }

    public String getHomeTeam() {
        return homeTeam;
    }

    public void setHomeTeam(String homeTeam) {
        this.homeTeam = homeTeam;
    }

    public String getAwayTeam() {
        return awayTeam;
    }

    public void setAwayTeam(String awayTeam) {
        this.awayTeam = awayTeam;
    }

    public String getSportType() {
        return sportType;
    }

    public void setSportType(String sportType) {
        this.sportType = sportType;
    }

    @Override
    public String toString() {
        return "Event{" +
                "eventId='" + eventId + '\'' +
                ", sportKey='" + sportKey + '\'' +
                ", sportTitle='" + sportTitle + '\'' +
                ", commenceTime=" + commenceTime +
                ", homeTeam='" + homeTeam + '\'' +
                ", awayTeam='" + awayTeam + '\'' +
                ", sportType='" + sportType + '\'' +
                '}';
    }
}
