package com.thomasbet.endpoints.Model;

import jakarta.persistence.*;
import org.hibernate.annotations.Cascade;

//databázový model entity
@Entity
@Table(name = "strategy")
public class Strategy {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long strategyId;


    @ManyToOne
    @JoinColumn(name = "user_id")
    private User user;

    @Column(name = "date_new")
    private Long dateNew;

    @Column(name = "date_edit")
    private Long dateEdit;

    @Column(name = "body")
    private String body;

    @Column(name = "title")
    private String title;

    @Column(name = "trust")
    private int trust;

    @Column(name = "bet")
    private String bet;


    public Strategy() {
    }

    public Strategy(Long strategyId, User user, Long dateNew, Long dateEdit, String body, String title, int trust, String bet) {
        this.strategyId = strategyId;
        this.user = user;
        this.dateNew = dateNew;
        this.dateEdit = dateEdit;
        this.body = body;
        this.title = title;
        this.trust = trust;
        this.bet = bet;
    }

    public Strategy(User user, Long dateNew, Long dateEdit, String body, String title, int trust, String bet) {
        this.user = user;
        this.dateNew = dateNew;
        this.dateEdit = dateEdit;
        this.body = body;
        this.title = title;
        this.trust = trust;
        this.bet = bet;
    }



    public Long getStrategyId() {
        return strategyId;
    }

    public void setStrategyId(Long strategyId) {
        this.strategyId = strategyId;
    }


    public Long getDateNew() {
        return dateNew;
    }

    public void setDateNew(Long dateNew) {
        this.dateNew = dateNew;
    }

    public Long getDateEdit() {
        return dateEdit;
    }

    public void setDateEdit(Long dateEdit) {
        this.dateEdit = dateEdit;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }


    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getTrust() {
        return trust;
    }

    public void setTrust(int trust) {
        this.trust = trust;
    }

    public String getBet() {
        return bet;
    }

    public void setBet(String bet) {
        this.bet = bet;
    }

    @Override
    public String toString() {
        return "Strategy{" +
                "strategyId=" + strategyId +
                ", user=" + user +
                ", dateNew=" + dateNew +
                ", dateEdit=" + dateEdit +
                ", body='" + body + '\'' +
                ", title='" + title + '\'' +
                ", trust=" + trust +
                ", bet='" + bet + '\'' +
                '}';
    }
}
