package com.thomasbet.endpoints.controller;

import com.thomasbet.endpoints.DTO.BetDTO;
import com.thomasbet.endpoints.DTO.BlogDTO;
import com.thomasbet.endpoints.DTO.PageableResponse;
import com.thomasbet.endpoints.Model.Bet;
import com.thomasbet.endpoints.service.BetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/bets")
public class BetRestAPI {

    @Autowired
    private BetService betService;

    public BetRestAPI(BetService betService) {
        this.betService = betService;
    }


    //vytvoření sázky
    @PostMapping
    public BetDTO createBet(@RequestBody BetDTO betDTO){
        return betService.createBet(betDTO);
    }

    @GetMapping
    public PageableResponse<Page<BetDTO>> getBets(@RequestParam(required = false) Long userId,
                                                    @RequestParam(required = false) int offset,
                                                    @RequestParam(required = false) int page){
        Page<BetDTO> betList = betService.getBetsByUserId(userId, page, offset);


        return new PageableResponse<>(offset, page, betList);
    }


    //stránkování sázek při výpisu v profilu
    @GetMapping("/count")
    public int getMyBetsPageCount(@RequestParam(required = true) int offset,
                              @RequestParam(required = true) Long userId){
        return betService.getMyBetsPageCount(offset, userId);
    }


}
