package com.thomasbet.endpoints.controller;

import com.thomasbet.endpoints.DTO.SportDTO;
import com.thomasbet.endpoints.Model.User;
import com.thomasbet.endpoints.service.SportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api/sports")
public class SportRestApi {

    @Autowired
    private SportService sportService;

    public SportRestApi(SportService sportService) {
        this.sportService = sportService;
    }

    //definování přijímaných dat z ODDs api
    @GetMapping
    public ResponseEntity<List<SportDTO>> getAllSports(){
        List<SportDTO> sports = sportService.getAllSports();

        if(!sports.isEmpty()){
            return ResponseEntity.ok(sports);
        }else{
            System.out.println();
            return ResponseEntity.notFound().build();
        }
    }
}
