package com.thomasbet.endpoints.mappers;

import com.thomasbet.endpoints.DTO.BlogDTO;
import com.thomasbet.endpoints.DTO.StrategyDTO;
import com.thomasbet.endpoints.Model.Blog;
import com.thomasbet.endpoints.Model.Strategy;
import com.thomasbet.endpoints.Model.User;
import com.thomasbet.endpoints.service.UserService;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;

@Mapper
public interface BlogMapper {

    @Mapping(source = "user", target = "userId", qualifiedByName = "userToUserId")
    BlogDTO blogToBlogDTO(Blog blog);

    @Mapping(source = "userId", target = "user")
    default Blog blogDTOToBlog(BlogDTO blog, UserService userService){
        Blog blogEntity = new Blog();
        blogEntity.setBlogId(blog.getBlogId());
        blogEntity.setBody(blog.getBody());
        blogEntity.setUser(userService.getUserById(blog.getUserId()));
        blogEntity.setDateEdit(blog.getDateEdit());
        blogEntity.setDateNew(blog.getDateNew());
        blogEntity.setTitle(blog.getTitle());

        return blogEntity;
    }


    @Named("userToUserId")
    public static Long userToUserId(User user) {
        return user.getId();
    }
}
