package com.thomasbet.endpoints.mappers;

import com.thomasbet.endpoints.DTO.EventDTO;
import com.thomasbet.endpoints.DTO.SportDTO;
import com.thomasbet.endpoints.DTO.StrategyDTO;
import com.thomasbet.endpoints.Model.*;
import com.thomasbet.endpoints.service.ScoreService;
import com.thomasbet.endpoints.service.SportService;
import com.thomasbet.endpoints.service.UserService;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;

@Mapper
public interface EventMapper {


    default EventDTO eventToEventDTO(Event event, ScoreService scoreService){
        EventDTO eventDTO = new EventDTO();
        eventDTO.setSportKey(event.getSportKey());
        eventDTO.setEventId(event.getEventId());
        eventDTO.setSportType(event.getSportType());
        eventDTO.setCommenceTime(event.getCommenceTime());
        eventDTO.setSportTitle(event.getSportTitle());
        eventDTO.setHomeTeam(event.getHomeTeam());
        eventDTO.setAwayTeam(event.getAwayTeam());
        Score score = scoreService.getScoreByEventId(eventDTO.getEventId());
        if(score != null){
            eventDTO.setAwayTeamScore(score.getAwayTeamScore());
            eventDTO.setHomeTeamScore(score.getHomeTeamScore());
        }else{
            eventDTO.setAwayTeamScore(null);
            eventDTO.setHomeTeamScore(null);
        }


        return eventDTO;
    }

    Event eventDTOToEvent(EventDTO eventDto);
}
