package com.thomasbet.endpoints.mappers;


import com.thomasbet.endpoints.DTO.StrategyDTO;
import com.thomasbet.endpoints.DTO.UserDTO;
import com.thomasbet.endpoints.Model.Blog;
import com.thomasbet.endpoints.Model.Strategy;
import com.thomasbet.endpoints.Model.User;
import com.thomasbet.endpoints.service.UserService;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;
import org.springframework.beans.factory.annotation.Autowired;


@Mapper
public interface StrategyMapper {

    @Mapping(source = "user", target = "userId", qualifiedByName = "userToUserId")
    StrategyDTO strategyToStrategyDTO(Strategy strategy);

    @Mapping(source = "userId", target = "user")
    default Strategy strategyDTOtoStrategy(StrategyDTO strategy, UserService userService){
        Strategy strategyEntity = new Strategy();
        strategyEntity.setStrategyId(strategy.getStrategyId());
        strategyEntity.setBody(strategy.getBody());
        strategyEntity.setUser(userService.getUserById(strategy.getUserId()));
        strategyEntity.setDateEdit(strategy.getDateEdit());
        strategyEntity.setDateNew(strategy.getDateNew());
        strategyEntity.setTitle(strategy.getTitle());
        strategyEntity.setBet(strategy.getBet());
        strategyEntity.setTrust(strategy.getTrust());

        return strategyEntity;
    }


    @Named("userToUserId")
    public static Long userToUserId(User user) {
        return user.getId();
    }

}
