package com.thomasbet.endpoints.repository;

import com.thomasbet.endpoints.Model.Blog;
import com.thomasbet.endpoints.Model.Strategy;
import com.thomasbet.endpoints.Model.User;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface BlogRepository extends JpaRepository<Blog, Long> {

    @Query(value = "SELECT * FROM blog b WHERE b.user_id = ?1",
            nativeQuery = true)
    Page<Blog> getBlogsByUserId(Long id, Pageable pageable);
}
