package com.thomasbet.endpoints.repository;

import com.thomasbet.endpoints.Model.Event;
import org.springframework.data.domain.Example;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface EventRepository extends JpaRepository<Event, String> {

    /*
    @Modifying
    @Query("DELETE FROM Event")
    void deleteAllData();

     */
    Page<Event> findByCommenceTimeGreaterThanAndSportType(Long commenceTime, String sportType, Pageable pageable);
    Page<Event> findByCommenceTimeLessThanAndSportType(Long commenceTime, String sportType, Pageable pageable);


    Page<Event> findByCommenceTimeGreaterThan(Long commenceTime, Pageable pageable);
    Page<Event> findByCommenceTimeLessThan(Long commenceTime, Pageable pageable);
}
