package com.thomasbet.endpoints.service;

import com.thomasbet.endpoints.Model.Score;
import com.thomasbet.endpoints.repository.ScoreRepository;
import jakarta.persistence.EntityNotFoundException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Optional;

@Service
public class ScoreService {

    @Autowired
    private ScoreRepository scoreRepository;

    //servis pro skóre
    public ScoreService(ScoreRepository scoreRepository) {
        this.scoreRepository = scoreRepository;
    }

    public Score getScoreByEventId(String eventId){
        Optional<Score> score =  scoreRepository.findById(eventId);

        if (score.isPresent()) {
            return score.get();
        } else {
            System.out.println("Score not found with id: " + eventId);
            return null;
        }
    }


    public Score saveScore(Score score){
        return scoreRepository.save(score);
    }

    @Transactional
    public void removeAllData(){
        scoreRepository.deleteAll();
    }
}
