package com.thomasbet.endpoints.service;

import com.thomasbet.endpoints.DTO.SportDTO;
import com.thomasbet.endpoints.mappers.SportMapper;
import com.thomasbet.endpoints.repository.SportRepository;
import jakarta.persistence.EntityNotFoundException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SportService {

    @Autowired
    private SportRepository sportRepository;

    @Autowired
    private SportMapper sportMapper;

    //servis pro definování přijímaných hodnot z Odds Api
    public SportService(SportRepository sportRepository, SportMapper sportMapper) {
        this.sportRepository = sportRepository;
        this.sportMapper = sportMapper;
    }

    public List<SportDTO> getAllSports(){
        return sportRepository.findAll().stream()
                .map(sport -> sportMapper.sportToSportDTO(sport))
                .toList();
    }

    public SportDTO getSportById(String id){
        return sportRepository.findById(id).map(sport -> sportMapper.sportToSportDTO(sport)).orElseThrow(() -> new EntityNotFoundException("Entity with id " + id + " not found"));
    }
}
